vsftpd: update to 3.0.2
[opendreambox.git] / meta-opendreambox / recipes-connectivity / vsftpd / vsftpd / 03-db-doc.patch
1 Author: shaul Karl <shaulkarl@yahoo.com>
2 Description:
3  A short explanation how to find out the right db version (Closes: #478282).
4
5 diff -Naurp vsftpd.orig/EXAMPLE/VIRTUAL_USERS/README vsftpd/EXAMPLE/VIRTUAL_USERS/README
6 --- vsftpd.orig/EXAMPLE/VIRTUAL_USERS/README    2009-01-31 00:02:36.000000000 +0000
7 +++ vsftpd/EXAMPLE/VIRTUAL_USERS/README 2009-01-31 01:38:11.000000000 +0000
8 @@ -21,7 +21,10 @@ NOTE: Many systems have multiple version
9  need to use e.g. db3_load for correct operation. This is known to affect
10  some Debian systems. The core issue is that pam_userdb expects its login
11  database to be a specific db version (often db3, whereas db4 may be installed
12 -on your system).
13 +on your system). You might check ahead what specific db version you'll need
14 +by looking at the dependcies of the pam module. Some methods to do that is to
15 +run ldd on the pam_userdb.so or look at the dependencies of the package with
16 +the pam modules.
17  
18  This will create /etc/vsftpd_login.db. Obviously, you may want to make sure
19  the permissions are restricted: